large point markers not rendered if center is outside visible extent

2016-09-26 03:38 AM - Jochen Huber

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.16.3 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23539

Description

When using large marker symbols for point markers the symbols are not rendered if the point itself is outside the viewing extent, even if

most of the symbol would be visible.

Example: We have a project where contaminated soil is removed using overlapping boreholes with large diameter (1.8 m). For every

borehole we get the coordinates measured for the center at the top and bottom, from which we create a point layer. To check if the

boreholes are overlapping as intended, we draw circle markers with the diameter of the drill (see screenshots). This is easier than having

to crate a polygon layer with circles around each point and avoids the problem that most formats can only store polygons and not real

circles. It is irritating however that boreholes where the center is not within the viewing extent are not drawn (like borehole #116 at the top

in the screenshots).

One possible solution would be to render all points within an extent buffered by the size of the symbols (can be in map units or page units

- this has to be taken into consideration).

Don't know if this should really be seen as a bug or rather as a feature request.

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.
You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
